import matplotlib.pyplot as plt
import numpy as np
np.random.seed(0)  # Define seed para consistência

x = np.arange(0, 4, 0.05)
y = np.sin(x * np.pi)

fig, ax = plt.subplots(figsize=(4, 3), dpi=100, constrained_layout=True)
ax.plot(x, y)
ax.set_xlabel('t [s]')
ax.set_ylabel('S [V]')
ax.set_title('Sine wave')